---
title: CloseEvent.initCloseEvent()
slug: Web/API/CloseEvent/initCloseEvent
---
<p>{{APIRef("Websockets API")}}{{deprecated_header}}</p>

<p>The <code><strong>CloseEvent.initCloseEvent()</strong></code> method initializes the value of a close event once it's been created (normally using the {{domxref("Document.createEvent()")}} method).</p>

<p>Events initialized in this way must have been created with the {{ domxref("Document.createEvent()") }} method. This method must be called to set the event before it is dispatched, using {{ domxref("EventTarget.dispatchEvent()") }}. Once dispatched, it doesn't do anything anymore.</p>

<div class="note">
<p><strong>Do not use this method anymore as it is deprecated.</strong></p>

<p>Instead use specific event constructors, like {{domxref("CloseEvent.MouseEvent", "CloseEvent()")}}. The page on <a href="/en-US/docs/Web/Guide/Events/Creating_and_triggering_events">Creating and triggering events</a> gives more information about the way to use these.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>event</em>.initMouseEvent(<em>type</em>, <em>canBubble</em>, <em>cancelable</em>, wasClean, reasonCode, reason);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
	<dt><em><code>type</code></em></dt>
	<dd>the string to set the event's {{domxref("Event.type", "type")}} to. Possible types for mouse events include: <code>click</code>, <code>mousedown</code>, <code>mouseup</code>, <code>mouseover</code>, <code>mousemove</code>, <code>mouseout</code>.</dd>
	<dt><em><code>canBubble</code></em></dt>
	<dd>whether or not the event can bubble. Sets the value of {{domxref("Event.bubbles")}}.</dd>
	<dt><em><code>cancelable</code></em></dt>
	<dd>whether or not the event's default action can be prevented. Sets the value of {{domxref("Event.cancelable")}}.</dd>
	<dt><em><code>wasClean</code></em></dt>
	<dd>whether or not the connection was cleanly closed.</dd>
	<dt><code><em>reasonCode</em></code></dt>
	<dd>the reason of the close.</dd>
	<dt><code><em>reason</em></code></dt>
	<dd>a {{domxref("DOMString")}} describing the reason of the close in shuman-readable way.</dd>
	<dt> </dt>
</dl>

<h2 id="Specifications">Specifications</h2>

<p><em>This is no part of any specifications, though it was in some early drafts.</em></p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CloseEvent.initCloseEvent")}}</p>

<h2 id="See_Also"><span>S</span>ee Also</h2>

<ul>
	<li>{{domxref("CloseEvent.CloseEvent()","CloseEvent()")}} constructor, the modern standard way of creating a {{domxref("CloseEvent")}}</li>
	<li>{{domxref("Event.initEvent()")}} is a simpler method serving a similar purpose. It is also obsolete and shouldn't be used any more.</li>
</ul>
